Skip to content

Stream courier quotes as they become available

POST
/api/v5/bookings/stream

Server-Sent Events endpoint for the v5 quote flow. Emits ready, quote, carrier_error, and complete events. Uses the same authentication, anonymous rate limit, member discount, surcharge, warranty, and cache behaviour as POST /api/v5/bookings.

object
sender
required
object
address
nullable
address2
nullable
company_name
nullable
email
nullable
name
nullable
phone
nullable
postcode
nullable
suburb
nullable
state
nullable
country
nullable
type
nullable
residential
boolean
nullable
tailgate
boolean
nullable
receiver
required
object
address
nullable
address2
nullable
company_name
nullable
email
nullable
name
nullable
phone
nullable
postcode
nullable
suburb
nullable
state
nullable
country
nullable
type
nullable
residential
boolean
nullable
tailgate
boolean
nullable
items
Array<object>
nullable
object
length
nullable
width
nullable
height
nullable
weight
nullable
quantity
nullable
description
nullable
sku
nullable
declared_value
nullable
insured_value
nullable
include_warranty
boolean
nullable
whole_weight
boolean
nullable
cost
nullable
description
nullable
instructions
object
delivery
nullable
pickup
nullable
referrer
nullable
requesting_site
Any of:
string
timeout
nullable
tailgate_pickup
boolean
nullable
tailgate_delivery
boolean
nullable
pickup_date
string
/^\d{4}-\d{2}-\d{2}$/
options
object
tailgate_pickup
boolean
nullable
tailgate_delivery
boolean
nullable
insurance_value
number
nullable
authority_to_leave
boolean
nullable
disable_cache
boolean
nullable
multipickup
object
address_id
integer
tier
integer
>= 1 <= 2
Examples

Sydney to Sydney cartons

{
"sender": {
"address": "1 Market Street",
"company_name": "Sender Pty Ltd",
"email": "sender@example.com",
"name": "Sender Contact",
"phone": "0290000000",
"postcode": "2000",
"suburb": "Sydney",
"state": "NSW",
"country": "AU",
"type": "business",
"tailgate": false
},
"receiver": {
"address": "25 George Street",
"company_name": "Receiver Pty Ltd",
"email": "receiver@example.com",
"name": "Receiver Contact",
"phone": "0291111111",
"postcode": "2000",
"suburb": "Sydney",
"state": "NSW",
"country": "AU",
"type": "business",
"tailgate": false
},
"items": [
{
"description": "Carton",
"length": 30,
"width": 20,
"height": 15,
"weight": 2,
"quantity": 1,
"sku": "DEMO-CARTON-1"
},
{
"description": "Carton",
"length": 40,
"width": 30,
"height": 20,
"weight": 5,
"quantity": 1,
"sku": "DEMO-CARTON-2"
}
],
"declared_value": 250,
"insured_value": 0,
"description": "Demo Sydney carton quote",
"referrer": "api-demo",
"requesting_site": "api-worker-demo",
"tailgate_pickup": false,
"tailgate_delivery": false,
"options": {
"authority_to_leave": false,
"disable_cache": false
}
}

Server-Sent Events stream of quote progress

string
Example
event: ready
data: {"carrierCount":4,"cached":false}
event: quote
data: {"carrier":"direct_couriers","latencyMs":421}
event: complete
data: {"cached":false,"durationMs":1380}

Validation error

Any of:
object
error
required
string
message
string
member_id
Any of:
string
limit
number
window_seconds
number
upgrade
object
signup_endpoint
string
signup_method
string
quote_endpoint
string
api_key_header
string
docs
string

Invalid api key

Any of:
object
error
required
string
message
string
member_id
Any of:
string
limit
number
window_seconds
number
upgrade
object
signup_endpoint
string
signup_method
string
quote_endpoint
string
api_key_header
string
docs
string

Member not found

Any of:
object
error
required
string
message
string
member_id
Any of:
string
limit
number
window_seconds
number
upgrade
object
signup_endpoint
string
signup_method
string
quote_endpoint
string
api_key_header
string
docs
string

Rate-limited

Any of:
object
error
required
string
message
string
member_id
Any of:
string
limit
number
window_seconds
number
upgrade
object
signup_endpoint
string
signup_method
string
quote_endpoint
string
api_key_header
string
docs
string

Quote reference data unavailable

Any of:
object
error
required
string
message
string
member_id
Any of:
string
limit
number
window_seconds
number
upgrade
object
signup_endpoint
string
signup_method
string
quote_endpoint
string
api_key_header
string
docs
string